From 19d9b58b97127f24e2280e3119e420393e7d239f Mon Sep 17 00:00:00 2001
From: Sebastian Pipping <sebastian@pipping.org>
Date: Mon, 20 Jan 2020 19:27:46 +0100
Subject: [PATCH] setup.py: Drop generic upper version boundaries

---
 setup.py | 38 +++++++++++++++++++-------------------
 1 file changed, 19 insertions(+), 19 deletions(-)

diff --git a/setup.py b/setup.py
index 110441d..3f6a46f 100644
--- a/setup.py
+++ b/setup.py
@@ -30,35 +30,35 @@ def find_version(*file_paths):
 
 
 install_requires = [
-    'cached-property >= 1.2.0, < 2',
-    'docopt >= 0.6.1, < 1',
-    'PyYAML >= 3.10, < 6',
-    'requests >= 2.20.0, < 3',
-    'texttable >= 0.9.0, < 2',
-    'websocket-client >= 0.32.0, < 1',
-    'docker[ssh] >= 3.7.0, < 5',
-    'dockerpty >= 0.4.1, < 1',
-    'six >= 1.3.0, < 2',
-    'jsonschema >= 2.5.1, < 4',
+    'cached-property >= 1.2.0',
+    'docopt >= 0.6.1',
+    'PyYAML >= 3.10',
+    'requests >= 2.20.0',
+    'texttable >= 0.9.0',
+    'websocket-client >= 0.32.0',
+    'docker[ssh] >= 3.7.0',
+    'dockerpty >= 0.4.1',
+    'six >= 1.3.0',
+    'jsonschema >= 2.5.1',
 ]
 
 
 tests_require = [
-    'pytest < 6',
+    'pytest',
 ]
 
 
 if sys.version_info[:2] < (3, 4):
-    tests_require.append('mock >= 1.0.1, < 4')
+    tests_require.append('mock >= 1.0.1')
 
 extras_require = {
-    ':python_version < "3.2"': ['subprocess32 >= 3.5.4, < 4'],
-    ':python_version < "3.4"': ['enum34 >= 1.0.4, < 2'],
-    ':python_version < "3.5"': ['backports.ssl_match_hostname >= 3.5, < 4'],
-    ':python_version < "3.3"': ['backports.shutil_get_terminal_size == 1.0.0',
-                                'ipaddress >= 1.0.16, < 2'],
-    ':sys_platform == "win32"': ['colorama >= 0.4, < 1'],
-    'socks': ['PySocks >= 1.5.6, != 1.5.7, < 2'],
+    ':python_version < "3.2"': ['subprocess32 >= 3.5.4'],
+    ':python_version < "3.4"': ['enum34 >= 1.0.4'],
+    ':python_version < "3.5"': ['backports.ssl_match_hostname >= 3.5'],
+    ':python_version < "3.3"': ['backports.shutil_get_terminal_size >= 1.0.0',
+                                'ipaddress >= 1.0.16'],
+    ':sys_platform == "win32"': ['colorama >= 0.4'],
+    'socks': ['PySocks >= 1.5.6, != 1.5.7'],
 }
 
 
-- 
2.24.1

